Get All Patch Blocking Rules
Use this API to retrieve a list of blocking rules. It supports both Windows and Linux platforms. If the platform parameter is not provided, all Windows blocking rules will be fetched by default.
Sample - Get All Patch Blocking RulesSample - Get All Patch Blocking Rules
API Request
curl -X 'GET' \
'<qualys_base_url>/pm/v1/blocking/rules' \
-H 'accept: application/json' \
-H 'Authorization: Bearer <JWT_Token>'
API Response
[
{
"ruleId": "fa948db3-6b44-43d7-828c-2f056a966954",
"ruleName": "Windows_blocked_Enable_Acquired_From_Vendor_Patches ",
"ruleReason": "blocked Enable Acquired From Vendor Patches ",
"criteria": {
"type": 1,
"value": "patch.isEnabledVendorAcquiredPatches:true"
},
"platform": "Windows",
"customerId": "5e35d0c5-ea3d-55c7-8320-7d89b67eb709",
"includeTagIds": [
"3b5a83f2-8dc2-467c-999a-3c029fb0b31e"
],
"createdBy": {
"id": "aa093746-5cbd-7b3b-8136-5794736f5a2f",
"name": "John Doe ",
"user": "johnd"
},
"createdAt": "2026-09-09T07:08:50.013",
"updatedBy": {
"id": "aa093746-5cbd-7b3b-8136-5794736f5a2f",
"name": "John Doe",
"user": "<username>"
},
"updatedAt": "2026-09-09T09:05:10.289",
"deleted": false,
"scope": "TAG_BASED"
}
]